import type { JSX } from '../../stencil-public-runtime';
import type { AlignPropType, BadgeTextPropType, IdPropType, LabelPropType } from '../../schema';
export declare class KolTooltipWc {
    private readonly host?;
    private controller;
    _badgeText?: BadgeTextPropType;
    _align?: AlignPropType;
    _id?: IdPropType;
    _label: LabelPropType;
    validateAlign(value?: AlignPropType): void;
    validateId(value?: IdPropType): void;
    validateLabel(value?: LabelPropType): void;
    hideTooltip(): Promise<void>;
    componentWillLoad(): void;
    connectedCallback(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
    render(): JSX.Element;
}
